%define release alt1.cvs
%define version 3.5.14
%define name djvu
%define branch 3.5
%define date 20040807

Summary: DjVu viewers, encoders and utilities
Name: %name
Version: %version
Release: %release.1.1
License: GPL
Group: Publishing
Source: djvulibre-%branch.%date.tar.bz2
Url: http://djvu.sourceforge.net

# Automatically added by buildreq on Fri May 21 2004 (-ba)
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ hostinfo libjpeg-devel libqt3-devel libstdc++-devel
# added by hands
BuildRequires: libtiff-devel

%description
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package common
Summary: DjVu shared files
Group: Publishing

%description common
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package -n lib%name
Summary: DjVu encoder libraries
Group: System/Libraries
Requires: libstdc++, libjpeg

%description -n lib%name
DjVu shared libraries.

%package utils
Summary: DjVu utilites
Group: Publishing
Requires: lib%name = %version

%description utils
DjVu encoder and support utilites.

%package xmltools
Summary: DjVu XML tools
Group: Publishing
Requires: lib%name = %version

%description xmltools
DjVu XML tools.

%package viewer
Summary: standalone DjVu viewer
Group: Publishing
Requires: lib%name = %version, %name-common, libqt3

%description viewer
A standalone DjVu viewer based on the Qt library.

%package plugin
Summary: DjVu mozilla plugin
Group: Networking/WWW
Requires: lib%name = %version, %name-common, XFree86-libs

%description plugin
DjVu Mozilla plugin.

%package doc
Summary: docs about DjVu technology
Group: Publishing
Requires: %name-viewer

%description doc
Some useful documents about DjVu technology.
Can be used as test samples.

%prep
%setup -q -n djvulibre-3.5

%build
# hack for mozilla compatability
perl -pi -e "s|netscape|mozilla|" gui/nsdejavu/Makefile.in

%configure
%make #NO SMP

%install
%makeinstall
# Quick cleanup of the docs
rm -rf doc/CVS 2>/dev/null || :
# install-debian: djview.menu
mkdir -p  %buildroot%_menudir
cat << EOF > %buildroot%_menudir/djview
?package(%name-viewer): command="%_bindir/djview" \
	section="Applications/Publishing" \
	title="djview" \
	icon="djvu.xpm" \
	needs="X11"  \
        longtitle="DjVu viewer"
EOF
%__install -d %buildroot%_datadir/pixmaps
%__install -m 644 gui/desktop/djvu.xpm %buildroot%_datadir/pixmaps/djvu.xpm

#install-kde: FORCE
%__install -d %buildroot%_iconsdir/hicolor/48x48/mimetypes
%__install -d %buildroot%_iconsdir/hicolor/32x32/mimetypes
%__install -d %buildroot%_iconsdir/hicolor/22x22/mimetypes
%__install -m 644 gui/desktop/hi48-mimetype-djvu.png %buildroot%_iconsdir/hicolor/48x48/mimetypes/djvu.png
%__install -m 644 gui/desktop/hi32-mimetype-djvu.png %buildroot%_iconsdir/hicolor/32x32/mimetypes/djvu.png
%__install -m 644 gui/desktop/hi22-mimetype-djvu.png %buildroot%_iconsdir/hicolor/22x22/mimetypes/djvu.png
%__install -d %buildroot%_datadir/mimelnk/image
%__install -m 644 gui/desktop/x-djvu.desktop %buildroot%_datadir/mimelnk/image/x-djvu.desktop

#install-gnome: FORCE
%__install -d %buildroot%_datadir/pixmaps
%__install -m 644 gui/desktop/hi48-mimetype-djvu.png %buildroot%_datadir/pixmaps/djvu.png
%__install -d %buildroot%_datadir/mime-info
%__install -m 644 gui/desktop/djvu.mime %buildroot%_datadir/mime-info/djvu.mime
%__install -m 644 gui/desktop/djvu.keys %buildroot%_datadir/mime-info/djvu.keys
%__install -d %buildroot%_datadir/application-registry
%__install -m 644 gui/desktop/djvu.applications %buildroot%_datadir/application-registry

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %post_ldconfig

%post viewer
%update_menus

%postun viewer
%clean_menus

%files common
%doc README COPYRIGHT COPYING INSTALL NEWS TODO
%_datadir/djvu
%_datadir/application-registry/*
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_iconsdir/hicolor/*/*/*.png
%_datadir/mimelnk/image/*

%files doc
%doc doc

%files -n lib%name
%_libdir/*.so*

%files utils
%_bindir/bzz
%_bindir/c*
%_bindir/ddjvu
%_bindir/djvm*
%_bindir/djvudump
%_bindir/djvuextract
%_bindir/djvumake
%_bindir/djvups
%_bindir/djvused
%_bindir/djvuserve
%_bindir/djvutxt
%_mandir/man?/bzz*
%_mandir/man?/c*
%_mandir/man?/ddjvu*
%_mandir/man?/djvm*
%_mandir/man?/djvups*
%_mandir/man?/djvused*
%_mandir/man?/djvuserve*
%_mandir/man?/djvutxt*
%_mandir/man?/djvu.*
%_mandir/man?/djvuextract*
%_mandir/man?/djvumake*
%_mandir/man?/djvudump*

%files xmltools
%_bindir/djvutoxml
%_bindir/djvuxmlparser
%_mandir/man?/djvutoxml*
%_mandir/man?/djvuxml*
%_mandir/man?/djvuxmlparser*

%files viewer
%_bindir/djview
%_mandir/man?/djview*
%_menudir/djview

%files plugin
%_libdir/mozilla/plugins/*.so*
%_mandir/man?/nsdejavu*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.5.14-alt1.cvs.1.1
- Rebuilt with libstdc++.so.6.

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 3.5.14-alt1.cvs.1
- Rebuilt with libtiff.so.4.

* Sat Aug 14 2004 LAKostis <lakostis at altlinux dot ru> 3.5.14-alt1.cvs
- version 3.5.14.
- fix for bug #4137.
- fix for djview menu entry.
- spec cleanups.
- add icons and mime-types.
- fixed SMP build.
- updated BuildRequires.

* Thu Sep 18 2003 LAKostis <lakostis at altlinux dot ru> 3.5.13-alt1.cvs
- version 3.5.13
- ripped out docs to separate package.
- spec cleanups.

* Thu Mar 11 2003 LAKostis <lakostis@altlinux.ru> 3.5.10-alt0.1cvs
- CVS snapshot.
- initial build for Sisyphus.

* Thu Feb  6 2003 Leon Bottou <leon@bottou.org> 3.5.10-2
- version 3.5.10-2
* Fri Jan 24 2003 Leon Bottou <leon@bottou.org> 3.5.10-1
- prepared for version 3.5.10
* Wed Oct  9 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-2
- fixed logic for uninstalling nsdejavu links.
- copy stuff from the freshrpms spec file.
* Sun Oct  6 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-1
- added logic to install nsdejavu for mozilla.
* Wed May 29 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.6-1
- bumped to version 3.5.6-1
* Mon Apr 1 2002  Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
- changed group to Applications/Publishing
* Tue Mar 25 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
* Tue Jan 22 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.4-2
- fixed for properly locating the man directory.
* Wed Jan 16 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.3-1
* Fri Dec  7 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.2-1
* Wed Dec  5 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.1-1
- created spec file for rh7.x.

